### Type parameters

- #### TValue

### Hierarchy

- LoDashImplicitWrapper

## Index

### Methods

- castArray
- clone
- cloneDeep
- cloneDeepWith
- cloneWith
- conformsTo
- eq
- gt
- gte
- isArguments
- isArray
- isArrayBuffer
- isArrayLike
- isArrayLikeObject
- isBoolean
- isBuffer
- isDate
- isElement
- isEmpty
- isEqual
- isEqualWith
- isError
- isFinite
- isFunction
- isInteger
- isLength
- isMap
- isMatch
- isMatchWith
- isNaN
- isNative
- isNil
- isNull
- isNumber
- isObject
- isObjectLike
- isPlainObject
- isRegExp
- isSafeInteger
- isSet
- isString
- isSymbol
- isTypedArray
- isUndefined
- isWeakMap
- isWeakSet
- lt
- lte
- toArray
- toFinite
- toInteger
- toLength
- toNumber
- toPlainObject
- toSafeInteger

## Methods

### castArray

- castArray<T>(this: LoDashImplicitWrapper<Many<T>>): LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:19
  see

    _.castArray

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<Many<T>>

  #### Returns LoDashImplicitWrapper<T[]>

### clone

- clone(): TValue

- - Defined in node_modules/@types/lodash/common/lang.d.ts:50
  see

    _.clone

  #### Returns TValue

### cloneDeep

- cloneDeep(): TValue

- - Defined in node_modules/@types/lodash/common/lang.d.ts:76
  see

    _.cloneDeep

  #### Returns TValue

### cloneDeepWith

- cloneDeepWith(customizer: CloneDeepWithCustomizer<TValue>): any
- cloneDeepWith(): TValue

- - Defined in node_modules/@types/lodash/common/lang.d.ts:113
  see

    _.cloneDeepWith

  #### Parameters

  - ##### customizer: CloneDeepWithCustomizer<TValue>

  #### Returns any

- - Defined in node_modules/@types/lodash/common/lang.d.ts:120
  see

    _.cloneDeepWith

  #### Returns TValue

### cloneWith

- cloneWith<TResult>(customizer: CloneWithCustomizer<TValue, TResult>): TResult
- cloneWith<TResult>(customizer: CloneWithCustomizer<TValue, TResult | undefined>): TResult | TValue
- cloneWith(): TValue

- - Defined in node_modules/@types/lodash/common/lang.d.ts:173
  see

    _.cloneWith

  #### Type parameters

  - #### TResult: object | string | number | boolean | null

  #### Parameters

  - ##### customizer: CloneWithCustomizer<TValue, TResult>

  #### Returns TResult

- - Defined in node_modules/@types/lodash/common/lang.d.ts:180
  see

    _.cloneWith

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### customizer: CloneWithCustomizer<TValue, TResult | undefined>

  #### Returns TResult | TValue

- - Defined in node_modules/@types/lodash/common/lang.d.ts:187
  see

    _.cloneWith

  #### Returns TValue

### conformsTo

- conformsTo<T>(this: LoDashImplicitWrapper<T>, source: ConformsPredicateObject<T>): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:227
  see

    _.conformsTo

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T>

  - ##### source: ConformsPredicateObject<T>

  #### Returns boolean

### eq

- eq(other: any): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:282
  see

    _.eq

  #### Parameters

  - ##### other: any

  #### Returns boolean

### gt

- gt(other: any): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:316
  see

    _.gt

  #### Parameters

  - ##### other: any

  #### Returns boolean

### gte

- gte(other: any): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:346
  see

    _.gte

  #### Parameters

  - ##### other: any

  #### Returns boolean

### isArguments

- isArguments(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:372
  see

    _.isArguments

  #### Returns boolean

### isArray

- isArray(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:403
  see

    _.isArray

  #### Returns boolean

### isArrayBuffer

- isArrayBuffer(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:429
  see

    _.isArrayBuffer

  #### Returns boolean

### isArrayLike

- isArrayLike(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:481
  see

    _.isArrayLike

  #### Returns boolean

### isArrayLikeObject

- isArrayLikeObject(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:534
  see

    _.isArrayLikeObject

  #### Returns boolean

### isBoolean

- isBoolean(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:560
  see

    _.isBoolean

  #### Returns boolean

### isBuffer

- isBuffer(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:586
  see

    _.isBuffer

  #### Returns boolean

### isDate

- isDate(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:612
  see

    _.isDate

  #### Returns boolean

### isElement

- isElement(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:638
  see

    _.isElement

  #### Returns boolean

### isEmpty

- isEmpty(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:665
  see

    _.isEmpty

  #### Returns boolean

### isEqual

- isEqual(other: any): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:713
  see

    _.isEqual

  #### Parameters

  - ##### other: any

  #### Returns boolean

### isEqualWith

- isEqualWith(other: any, customizer?: IsEqualCustomizer): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:772
  see

    _.isEqualWith

  #### Parameters

  - ##### other: any

  - ##### Optional customizer: IsEqualCustomizer

  #### Returns boolean

### isError

- isError(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:805
  see

    _.isError

  #### Returns boolean

### isFinite

- isFinite(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:833
  see

    _.isFinite

  #### Returns boolean

### isFunction

- isFunction(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:859
  see

    _.isFunction

  #### Returns boolean

### isInteger

- isInteger(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:901
  see

    _.isInteger

  #### Returns boolean

### isLength

- isLength(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:943
  see

    _.isLength

  #### Returns boolean

### isMap

- isMap(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:969
  see

    _.isMap

  #### Returns boolean

### isMatch

- isMatch(source: object): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1011
  see

    _.isMatch

  #### Parameters

  - ##### source: object

  #### Returns boolean

### isMatchWith

- isMatchWith(source: object, customizer: isMatchWithCustomizer): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1062
  see

    _.isMatchWith

  #### Parameters

  - ##### source: object

  - ##### customizer: isMatchWithCustomizer

  #### Returns boolean

### isNaN

- isNaN(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1090
  see

    _.isNaN

  #### Returns boolean

### isNative

- isNative(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1116

  see _.isNative

  #### Returns boolean

### isNil

- isNil(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1153

  see _.isNil

  #### Returns boolean

### isNull

- isNull(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1179

  see _.isNull

  #### Returns boolean

### isNumber

- isNumber(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1207

  see _.isNumber

  #### Returns boolean

### isObject

- isObject(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1234

  see _.isObject

  #### Returns boolean

### isObjectLike

- isObjectLike(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1275

  see _.isObjectLike

  #### Returns boolean

### isPlainObject

- isPlainObject(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1304

  see _.isPlainObject

  #### Returns boolean

### isRegExp

- isRegExp(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1330

  see _.isRegExp

  #### Returns boolean

### isSafeInteger

- isSafeInteger(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1373

  see _.isSafeInteger

  #### Returns boolean

### isSet

- isSet(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1399
  see

    _.isSet

  #### Returns boolean

### isString

- isString(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1425

  see _.isString

  #### Returns boolean

### isSymbol

- isSymbol(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1459

  see _.isSymbol

  #### Returns boolean

### isTypedArray

- isTypedArray(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1485

  see _.isTypedArray

  #### Returns boolean

### isUndefined

- isUndefined(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1511

  see _.isUndefined

  #### Returns boolean

### isWeakMap

- isWeakMap(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1537
  see

    _.isSet

  #### Returns boolean

### isWeakSet

- isWeakSet(): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1563
  see

    _.isWeakSet

  #### Returns boolean

### lt

- lt(other: any): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1593
  see

    _.lt

  #### Parameters

  - ##### other: any

  #### Returns boolean

### lte

- lte(other: any): boolean

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1623
  see

    _.lte

  #### Parameters

  - ##### other: any

  #### Returns boolean

### toArray

- toArray<T>(this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>): LoDashImplicitWrapper<T[]>
- toArray<T>(this: LoDashImplicitWrapper<T>): LoDashImplicitWrapper<Array<T[keyof T]>>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1659
  see

    _.toArray

  #### Type parameters

  - #### T

  #### Parameters

  - ##### this: LoDashImplicitWrapper<List<T> | Dictionary<T> | NumericDictionary<T> | null | undefined>

  #### Returns LoDashImplicitWrapper<T[]>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1664
  see

    _.toArray

  #### Type parameters

  - #### T: object

  #### Parameters

  - ##### this: LoDashImplicitWrapper<T>

  #### Returns LoDashImplicitWrapper<Array<T[keyof T]>>

### toFinite

- toFinite(): number

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1710
  see

    _.toFinite

  #### Returns number

### toInteger

- toInteger(): number

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1752
  see

    _.toInteger

  #### Returns number

### toLength

- toLength(): number

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1795
  see

    _.toLength

  #### Returns number

### toNumber

- toNumber(): number

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1835
  see

    _.toNumber

  #### Returns number

### toPlainObject

- toPlainObject(): LoDashImplicitWrapper<any>

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1862
  see

    _.toPlainObject

  #### Returns LoDashImplicitWrapper<any>

### toSafeInteger

- toSafeInteger(): number

- - Defined in node_modules/@types/lodash/common/lang.d.ts:1903
  see

    _.toSafeInteger

  #### Returns number

Generated using TypeDoc